Bug 140790 (IT_54960) - e100 and e1000 drivers should return EINVAL when ethtool tries to set rx-mini or rx-jumbo
Summary: e100 and e1000 drivers should return EINVAL when ethtool tries to set rx-mini...
Status: CLOSED ERRATA
Alias: IT_54960
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: kernel (Show other bugs)
(Show other bugs)
Version: 3.0
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: John W. Linville
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-11-24 22:46 UTC by David Lehman
Modified: 2007-11-30 22:07 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-05-18 13:28:43 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch to reject unsupported setting of rx-mini or rx-jumbo in e100 (against U4-Beta kernel) (592 bytes, patch)
2004-11-24 22:46 UTC, David Lehman
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2005:294 normal SHIPPED_LIVE Moderate: Updated kernel packages available for Red Hat Enterprise Linux 3 Update 5 2005-05-18 04:00:00 UTC

Description David Lehman 2004-11-24 22:46:41 UTC
Description of problem:
Currently, ethtool calls to e100 or e1000 to set rx-mini or rx-jumbo appear to
succeed although nothing is actually done. This behavior can be misconstrued as
successful setting of the parameter(s). The drivers should be either add support
for setting these values or return EINVAL.

Version-Release number of selected component (if applicable):
kernel-2.4.21-20

How reproducible:
Always

Steps to Reproduce:
1. run 'ethtool -G eth1 rx-mini 64' or 'ethtool -G eth1 rx-jumbo 64' on an e100
or e1000
2. check adapter's settings to verify the change was not made ('ethtool -g eth1')
3.
  
Actual results:
Nothing was changed as the rx-mini and rx-jumbo settings are ignored by the
drivers' ethtool handlers.

Expected results:
Either adjust the settings as requested or issue an error indicating lack of
support for the adjustment of given parameter.

Additional info:

Comment 1 David Lehman 2004-11-24 22:46:41 UTC
Created attachment 107431 [details]
Patch to reject unsupported setting of rx-mini or rx-jumbo in e100 (against U4-Beta kernel)

Comment 2 David Lehman 2004-11-24 22:47:57 UTC
I can add a similar patch for e1000 if requested.

Comment 5 Ernie Petrides 2005-01-06 19:19:53 UTC
A fix for this problem has just been committed to the RHEL3 U5
patch pool this afternoon (in kernel version 2.4.21-27.6.EL).


Comment 6 Tim Powers 2005-05-18 13:28:43 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2005-294.html



Note You need to log in before you can comment on or make changes to this bug.